Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476812 - Attempt to get satellite_org_id on database with more than one org
Summary: Attempt to get satellite_org_id on database with more than one org
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-17 09:54 UTC by Miroslav Suchý
Modified: 2009-01-22 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:17 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2008-12-17 09:54:53 UTC
Description of problem:
If you are installing spacewalk with already populated database and with more then 1 org you will get this error:

* Enabling Monitoring.
RHN::Exception: Attempt to get satellite_org_id on database with more than one org
  RHN::DB::SatInstall /usr/lib/perl5/site_perl/5.8.8/RHN/DB/SatInstall.pm 384 RHN::Exception::throw
  main /usr/bin/spacewalk-setup 1036 RHN::DB::SatInstall::get_satellite_org_id
  main /usr/bin/spacewalk-setup 131 main::setup_monitoring

Comment 1 Miroslav Suchý 2008-12-17 10:13:46 UTC
Fixed in 31fb9bbd43ce19392d9e11b4ac2ce0f15dcb8b6a.

Comment 2 Michael Mráka 2009-01-15 13:05:05 UTC
Verified.

...
** Loading Spacewalk Certificate.
** Verifying certificate locally.
** Activating Spacewalk.
* Enabling Monitoring.
* Configuring apache SSL virtual host.
...


Note You need to log in before you can comment on or make changes to this bug.